GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

        • Login

        • Logout

        • Manage Token

        • Register

        • User information

        • Account Binding

        • MFA Factor Management

        • User-related resources

        • Message service

        • Authentication

          • String type resource authentication
          • Array type resource authentication
          • Tree type resource authentication
          • Get the user's authorized resource list under the login application
          • Get the user's specified resource permission list under the login application
          • Get the structure list of authorized resources under the user login application
        • Others

        • OIDC module
        • OAuth module
        • SAML module
        • CAS module
        • Events
      • Management module

    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. User authentication module

  8. /
  9. Authentication

  10. /
  11. Get the user's specified resource permission list under the login application

¶ Get the list of permissions for user-specified resources

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the list of permissions for user-specified resources. Users get the list of permissions for specified resources under a certain application.

¶ Method Name

AuthenticationClient.getUserAuthResourcePermissionList

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
resourcesstring[]yes-Data resource path list, tree resources need to go to specific tree nodes["strResourceCode","arrResourceCode","treeResourceCode/StructCode1/resourceStructChildrenCode1"]

¶ Request Response

Type: GetUserAuthResourcePermissionListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataGetUserAuthResourcePermissionListDataDtoResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "permissionList": {
      "namespaceCode": "examplePermissionNamespace",
      "actions": "[\"get\",\"read\",\"write\",\"delete\"]",
      "resource": "treeResourceCode1"
    }
  }
}

¶ Data Structure

¶ GetUserAuthResourcePermissionListDataDto

NameType
Is it required
Description
Example Value
permissionListarrayYesPermission list nested Type: GetUserAuthResourcePermissionList.

¶ GetUserAuthResourcePermissionList

NameType
Is it required
Description
Example Value
namespaceCodestringYesCurrent application IdexamplePermissionNamespace
actionsarrayYesData resource permission operation list["get","read","write","delete"]
resourcestringYesData resource pathtreeResourceCode1
Previous article: Get the user's authorized resource list under the login application Next article: Get the structure list of authorized resources under the user login application
  • Method Name
  • Request Parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.